[med-svn] [subread] 02/04: d/rules: override_dh_installexamples - install compressed test dir d/tests: substitute tests with one doing multiple tests, remove single tests

Alex Mestiashvili malex-guest at moszumanska.debian.org
Fri Mar 13 21:11:09 UTC 2015


This is an automated email from the git hooks/post-receive script.

malex-guest pushed a commit to branch master
in repository subread.

commit 5114b44996ad89f7ac18126363c584097d3516a8
Author: Alexandre Mestiashvili <alex at biotec.tu-dresden.de>
Date:   Fri Mar 13 15:50:23 2015 +0100

    d/rules: override_dh_installexamples - install compressed test dir
    d/tests: substitute tests with one doing multiple tests, remove single tests
---
 debian/rules                |  5 ++++-
 debian/subread-data.install |  1 -
 debian/tests/control        |  8 +-------
 debian/tests/exactSNP       | 16 ----------------
 debian/tests/fc-minimal     |  7 -------
 debian/tests/subjunc        |  9 ---------
 debian/tests/subread-align  | 13 -------------
 debian/tests/subread-tests  | 37 +++++++++++++++++++++++++++++++++++++
 8 files changed, 42 insertions(+), 54 deletions(-)

diff --git a/debian/rules b/debian/rules
index 8316e64..07526d0 100755
--- a/debian/rules
+++ b/debian/rules
@@ -22,9 +22,12 @@ override_dh_auto_install:
 	find $(CURDIR) -name "*.gz" -exec bash -c 'name="{}"; gzip -d "{}"; gzip -n "$${name%.*}"' \;
 	dh_auto_install
 
+override_dh_installexamples:
+	tar -cJf $(CURDIR)/debian/subread-data/usr/share/doc/subread/examples/test.tar.xz  test/
+	
 override_dh_compress:
 # do not compress pdfs
-	dh_compress -a -X.pdf
+	dh_compress -X.pdf -Xtest.tar.xz
 
 get-orig-source:
 	uscan --verbose --force-download --repack --compression xz
diff --git a/debian/subread-data.install b/debian/subread-data.install
index 10b1661..ae2db19 100644
--- a/debian/subread-data.install
+++ b/debian/subread-data.install
@@ -1,2 +1 @@
 annotation usr/share/doc/subread/examples
-test	usr/share/doc/subread/examples
diff --git a/debian/tests/control b/debian/tests/control
index 415f1e5..975c40b 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -1,7 +1 @@
-Tests: exactSNP
-
-Tests: fc-minimal
-
-Tests: subjunc
-
-Tests: subread-align
+Tests: subread-tests
diff --git a/debian/tests/exactSNP b/debian/tests/exactSNP
deleted file mode 100755
index 52f6177..0000000
--- a/debian/tests/exactSNP
+++ /dev/null
@@ -1,16 +0,0 @@
-#!/bin/sh
-
-set -e
-pkg=`dpkg-parsechangelog | sed -n 's/^Source: //p'`
-tmpdir=$(mktemp -d)
-examplesdir=/usr/share/doc/$pkg/examples/test
-WORKDIR=$(mktemp -d)
-cd $WORKDIR
-for file in chr901.fa.gz exactSNP/data/test-in.BAM.gz
-do      
-        extracted=`echo $file | awk -F/ '{print $NF}'`
-        zcat $examplesdir/$file >${extracted%.gz}
-done
-
-
-exactSNP -g chr901.fa -o $tmpdir/test-out.VCF -i test-in.BAM -b >/dev/null 2>&1
diff --git a/debian/tests/fc-minimal b/debian/tests/fc-minimal
deleted file mode 100755
index f57006c..0000000
--- a/debian/tests/fc-minimal
+++ /dev/null
@@ -1,7 +0,0 @@
-#!/bin/sh
-
-set -e
-workdir=test/featureCounts
-cd $workdir
-tmpdir=$(mktemp -d)
-featureCounts -a data/test-minimum.GTF -o $tmpdir/test-minimum.FC data/test-minimum.sam >/dev/null 2>&1
diff --git a/debian/tests/subjunc b/debian/tests/subjunc
deleted file mode 100755
index 9bdf7cf..0000000
--- a/debian/tests/subjunc
+++ /dev/null
@@ -1,9 +0,0 @@
-#!/bin/sh
-
-set -e
-workdir=test/subjunc
-cd $workdir
-tmpdir=$(mktemp -d)
-subread-buildindex -o $tmpdir/small1 ../chr901.fa >/dev/null 2>&1
-subjunc -i $tmpdir/small1 -o $tmpdir/junctions.sam -r data/junction-reads-A.fq -R data/junction-reads-B.fq >/dev/null 2>&1
-subjunc -i $tmpdir/small1 -o $tmpdir/junctionsNfusions.bam --BAMoutput -r data/junction-reads-A.fq -R data/junction-reads-B.fq --allJunctions >/dev/null 2>&1
diff --git a/debian/tests/subread-align b/debian/tests/subread-align
deleted file mode 100755
index 3f1a904..0000000
--- a/debian/tests/subread-align
+++ /dev/null
@@ -1,13 +0,0 @@
-#!/bin/sh
-
-set -e
-workdir=test/subread-align
-cd $workdir
-tmpdir=$(mktemp -d)
-subread-buildindex -o $tmpdir/small1 -M100 ../chr901.fa >/dev/null 2>&1 
-subread-align -i $tmpdir/small1 -r data/test-noerror-r1.fq -o $tmpdir/test-tmp.sam1 -H -J >/dev/null 2>&1
-subread-align -u -i $tmpdir/small1 -r data/test-noerror-r1.fq -o $tmpdir/test-tmp.sam2 -H -J >/dev/null 2>&1
-subread-align -i $tmpdir/small1 -r data/test-noerror-r1.fq -R data/test-noerror-r2.fq -o $tmpdir/test-tmp.sam3 -H -J >/dev/null 2>&1
-subread-align -u -i $tmpdir/small1 -r data/test-noerror-r1.fq -R data/test-noerror-r2.fq -o $tmpdir/test-tmp.sam4  -Q -J >/dev/null 2>&1
-subread-align -i $tmpdir/small1 -r data/test-error-r1.fq -R data/test-error-r2.fq -o $tmpdir/test-tmp.sam5 -H -J >/dev/null 2>&1
-subread-align -i $tmpdir/small1 --gzFASTQinput -r data/test-err-mut-r1.fq.gz -R data/test-err-mut-r2.fq.gz -o $tmpdir/test-tmp.sam6 -H -J --rg-id MyTestGroup --rg SM:sample1 --rg TP:1 --rg XX:YY >/dev/null 2>&1
diff --git a/debian/tests/subread-tests b/debian/tests/subread-tests
new file mode 100755
index 0000000..c23fe96
--- /dev/null
+++ b/debian/tests/subread-tests
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+set -e
+pkg=`dpkg-parsechangelog | sed -n 's/^Source: //p'`
+tmpdir=$(mktemp -d)
+examplesdir=/usr/share/doc/$pkg/examples
+TMPDIR=$(mktemp -d)
+tar -xf $examplesdir/test.tar.xz -C $TMPDIR
+WORKDIR=${TMPDIR}/test
+echo WORKDIR=$WORKDIR
+echo exactSNP test
+cd $WORKDIR/exactSNP
+exactSNP -g ../chr901.fa -o test-out.VCF -i data/test-in.BAM -b >/dev/null 2>&1
+
+echo featureCount minimal test
+cd $WORKDIR/featureCounts
+featureCounts -a data/test-minimum.GTF -o test-minimum.FC data/test-minimum.sam >/dev/null 2>&1
+
+echo subjunc test
+cd $WORKDIR/subjunc
+mkdir tmp
+subread-buildindex -o tmp/small1 ../chr901.fa >/dev/null 2>&1
+subjunc -i tmp/small1 -o junctions.sam -r data/junction-reads-A.fq -R data/junction-reads-B.fq >/dev/null 2>&1
+subjunc -i tmp/small1 -o junctionsNfusions.bam --BAMoutput -r data/junction-reads-A.fq -R data/junction-reads-B.fq --allJunctions >/dev/null 2>&1
+
+echo subread-align test
+cd $WORKDIR/subread-align
+mkdir tmp
+subread-buildindex -o tmp/small1 -M100 ../chr901.fa >/dev/null 2>&1
+subread-align -i tmp/small1 -r data/test-noerror-r1.fq -o tmp/test-tmp.sam1 -H -J >/dev/null 2>&1
+subread-align -u -i tmp/small1 -r data/test-noerror-r1.fq -o tmp/test-tmp.sam2 -H -J >/dev/null 2>&1
+subread-align -i tmp/small1 -r data/test-noerror-r1.fq -R data/test-noerror-r2.fq -o tmp/test-tmp.sam3 -H -J >/dev/null 2>&1
+subread-align -u -i tmp/small1 -r data/test-noerror-r1.fq -R data/test-noerror-r2.fq -o tmp/test-tmp.sam4  -Q -J >/dev/null 2>&1
+subread-align -i tmp/small1 -r data/test-error-r1.fq -R data/test-error-r2.fq -o tmp/test-tmp.sam5 -H -J >/dev/null 2>&1
+subread-align -i tmp/small1 --gzFASTQinput -r data/test-err-mut-r1.fq.gz -R data/test-err-mut-r2.fq.gz -o tmp/test-tmp.sam6 -H -J --rg-id MyTestGroup --rg SM:sample1 --rg TP:1 --rg XX:YY >/dev/null 2>&1
+
+rm -rf $TMPDIR

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/subread.git



More information about the debian-med-commit mailing list